## ros-noetic-khi-duaro-moveit-config 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_duaro_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test_moveit_duaro.xml)
endif()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY script DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS )

=== debian/changelog ===
ros-noetic-khi-duaro-moveit-config (1.3.0-2buster) buster; urgency=high

  * Merge pull request #52 <https://github.com/Kawasaki-Robotics/khi_robot/issues/52> from k-okada/add_ikfast_plugin
    add khi_*_ikfast_plugin to moveit_config
  * add khi_*_ikfast_plugin to moveit_config
  * Contributors: HirokiTakami, Kei Okada

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.2.0-2buster) buster; urgency=high

  * Add joint_limits_interface (#31)
    * Add joint_limits_interface
    * Move joint_limits.yaml from moveit_config to description
    * Modify test messages and conditions in test_position_velocity
    * Change duAro's figure length
    * Move tests from khi_robot_control to khi_robot_test
  * update duaro body from dcon to fcon (#30)
    OK, I approved.
    Now travis kinetic failed due to ros-kinetic-moveit-ros-visualization.
    I think it is OK because this PR is not related with the installation and Travis melodic passed.
  * Contributors: Daisuke NAKAMICHI, Hiroki Matsui

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.1.2-2buster) buster; urgency=high

  * add USE_SOURCE_PERMISSIONS in CMakeLists.txt files those package have executable scripts (#18 <https://github.com/Kawasaki-Robotics/khi_robot/issues/18>)
  * Contributors: Yosuke Yamamoto

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.1.1-2buster) buster; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.1.0-2buster) buster; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.0.0-2buster) buster; urgency=high

  * Refactoring
  * duAro URDF modification
  * duAro IKfast
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (0.9.4-2buster) buster; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (0.9.3-2buster) buster; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (0.9.2-2buster) buster; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-khi-duaro-moveit-config
Section: misc
Priority: optional
Maintainer: matsui_hiro <matsui_hiro@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-khi-duaro-description, ros-noetic-roslaunch, ros-noetic-rostest
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-noetic-khi-duaro-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-joint-state-publisher, ros-noetic-khi-duaro-description, ros-noetic-khi-duaro-ikfast-plugin, ros-noetic-moveit-fake-controller-manager, ros-noetic-moveit-kinematics, ros-noetic-moveit-planners-ompl, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-simple-controller-manager, ros-noetic-robot-state-publisher, ros-noetic-rviz, ros-noetic-tf, ros-noetic-xacro
Description: An automatically generated package with all the configuration and launch files for using the khi_duaro with the MoveIt! Motion Planning Framework

## ros-noetic-khi-duaro-moveit-config 1.4.0

=== debian/changelog ===
ros-noetic-khi-duaro-moveit-config (1.4.0-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.3.0-2focal) focal; urgency=high

  * Merge pull request #52 <https://github.com/Kawasaki-Robotics/khi_robot/issues/52> from k-okada/add_ikfast_plugin
    add khi_*_ikfast_plugin to moveit_config
  * add khi_*_ikfast_plugin to moveit_config
  * Contributors: HirokiTakami, Kei Okada

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.2.0-2focal) focal; urgency=high

  * Add joint_limits_interface (#31)
    * Add joint_limits_interface
    * Move joint_limits.yaml from moveit_config to description
    * Modify test messages and conditions in test_position_velocity
    * Change duAro's figure length
    * Move tests from khi_robot_control to khi_robot_test
  * update duaro body from dcon to fcon (#30)
    OK, I approved.
    Now travis kinetic failed due to ros-kinetic-moveit-ros-visualization.
    I think it is OK because this PR is not related with the installation and Travis melodic passed.
  * Contributors: Daisuke NAKAMICHI, Hiroki Matsui

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.1.2-2focal) focal; urgency=high

  * add USE_SOURCE_PERMISSIONS in CMakeLists.txt files those package have executable scripts (#18 <https://github.com/Kawasaki-Robotics/khi_robot/issues/18>)
  * Contributors: Yosuke Yamamoto

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.1.1-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.1.0-2focal) focal; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (1.0.0-2focal) focal; urgency=high

  * Refactoring
  * duAro URDF modification
  * duAro IKfast
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (0.9.4-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (0.9.3-2focal) focal; urgency=high



 -- matsui_hiro <matsui_hiro@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-noetic-khi-duaro-moveit-config (0.9.2-2focal) focal; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: matsui_hiro, nakamichi_d

 -- matsui_hiro <matsui_hiro@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-khi-duaro-moveit-config//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
